# Function forDefinitions

- forDefinitions<C>(definitions): {
  attach: (<N>(options?) => Meta.Workspace<C>);
  connect: ((connectOptions?) => Meta.Db<C>);
  forDb: ((db) => {
  run: ProcessorRunner<C>;
  forProvider(provider) => {
  run: ProcessorRunner<C>;
  };
  });
  generateId: GenerateId<C>;
  resources: ResourceProcessors<C>;
  schema: GraphQLSchema;
  serve: ((serveOptions?) => ApolloServer);
  }

- #### Type Parameters

  - #### C extends Meta.Collections

  #### Parameters

  - ##### definitions: Meta.Definitions<C>

  #### Returns {
  attach: (<N>(options?) => Meta.Workspace<C>);
  connect: ((connectOptions?) => Meta.Db<C>);
  forDb: ((db) => {
  run: ProcessorRunner<C>;
  forProvider(provider) => {
  run: ProcessorRunner<C>;
  };
  });
  generateId: GenerateId<C>;
  resources: ResourceProcessors<C>;
  schema: GraphQLSchema;
  serve: ((serveOptions?) => ApolloServer);
  }

  - ##### attach: (<N>(options?) => Meta.Workspace<C>)

    - - <N>(options?): Meta.Workspace<C>

      - #### Type Parameters

        - #### N extends Meta.Pouch.Adapters.AdapterName

        #### Parameters

        - ##### `Optional` options: Meta.Pouch.Adapters.AttachOptions<N>

        #### Returns Meta.Workspace<C>

  - ##### connect: ((connectOptions?) => Meta.Db<C>)

    - - (connectOptions?): Meta.Db<C>

      - #### Parameters

        - ##### `Optional` connectOptions: Meta.ConnectOptions<C>

        #### Returns Meta.Db<C>

  - ##### forDb: ((db) => {
    run: ProcessorRunner<C>;
    forProvider(provider) => {
    run: ProcessorRunner<C>;
    };
    })

    - - (db): {
        run: ProcessorRunner<C>;
        forProvider(provider) => {
        run: ProcessorRunner<C>;
        };
        }

      - #### Parameters

        - ##### db: Meta.Db<C>

        #### Returns {
        run: ProcessorRunner<C>;
        forProvider(provider) => {
        run: ProcessorRunner<C>;
        };
        }

        - ##### run: ProcessorRunner<C>

        - ##### forProvider:function

          - forProvider(provider): {
            run: ProcessorRunner<C>;
            }

          - #### Parameters

            - ##### provider: Provider

            #### Returns {
            run: ProcessorRunner<C>;
            }

            - ##### run: ProcessorRunner<C>

            - Defined in packages/db/src/meta/process/run.ts:35

  - ##### generateId: GenerateId<C>

  - ##### resources: ResourceProcessors<C>

  - ##### schema: GraphQLSchema

  - ##### serve: ((serveOptions?) => ApolloServer)

    - - (serveOptions?): ApolloServer

      - #### Parameters

        - ##### `Optional` serveOptions: Meta.ConnectOptions<C>

        #### Returns ApolloServer

  - Defined in packages/db/src/meta/index.ts:49

Generated using TypeDoc